%global _empty_manifest_terminate_build 0
Name:		python-python-gitlab
Version:	3.13.0
Release:	1
Summary:	Interact with GitLab API
License:	LGPL-3.0-only
URL:		https://github.com/python-gitlab/python-gitlab
Source0:	https://files.pythonhosted.org/packages/43/61/20f35ff4566edb3d7e87f4b915de1cc820caa07ba5787ea3466f1efec7ab/python-gitlab-3.13.0.tar.gz
BuildArch:	noarch

%description
``python-gitlab`` is a Python package providing access to the GitLab server API.
It supports the v4 API of GitLab, and provides a CLI tool (``gitlab``).

%package -n python3-python-gitlab
Summary:	Interact with GitLab API
Provides:	python-python-gitlab = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-requests
Requires:	python3-requests-toolbelt
%description -n python3-python-gitlab
``python-gitlab`` is a Python package providing access to the GitLab server API.
It supports the v4 API of GitLab, and provides a CLI tool (``gitlab``).

%package help
Summary:	Development documents and examples for python-gitlab
Provides:	python3-python-gitlab-doc
%description help
``python-gitlab`` is a Python package providing access to the GitLab server API.
It supports the v4 API of GitLab, and provides a CLI tool (``gitlab``).

%prep
%autosetup -n python-gitlab-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-python-gitlab -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Feb 14 2023 wubijie <wubijie@kylinos.cn> - 3.13.0-1
- Update package to version 3.13.0

* Mon Dec 05 2022 wangjunqi <wangjunqi@kylinos.cn> - 3.12.0-1
- Update package to version 3.12.0

* Tue Oct 12 2021 caodongxia <caodongxia@huawei.com> - 2.6.0-2
- Delete pycache and tests and v4 directory when uninstalling

* Sat Feb 13 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
